<!--
  Generated template for the CadastroPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

    <ion-navbar>
      <ion-title>Agendar Visita</ion-title>
    </ion-navbar>
  
  </ion-header>
  
  
  <ion-content padding>
  
      <ion-list>
        <ion-item>
          <ion-label>Tipo de visita</ion-label>
            <ion-select [(ngModel)]="tipoDeVisita">
              <ion-option value="visitante">Visitante</ion-option>
              <ion-option value="colaborador">Colaborador</ion-option>
              <ion-option value="prestador">Prestador de serviços</ion-option>
              <ion-option value="outros">Outros</ion-option>
            </ion-select>
        </ion-item>
        
        <div class="imagem-pessoa">
          <img src="https://farm1.static.flickr.com/49/114938058_ba977018d6_m.jpg" alt="Pessoa">
        </div>
        <div text-center>
          <p>Jose da Silva</p>
          <p>Doc: 1112223338</p>
        </div>
        <div [ngSwitch]="tipoDeVisita">
          <ion-item *ngSwitchCase="'prestador'">
              <ion-label stacked>Empresa</ion-label>
              <ion-input type="text">Empresa</ion-input>
          </ion-item>
        </div>
  
        <div [ngSwitch]="tipoDeVisita">
          <ion-item *ngSwitchCase="'outros'">
              <ion-label stacked>Especificar</ion-label>
              <ion-input type="text">Especificar</ion-input>
          </ion-item>
        </div>

        <ion-row>
          <ion-col>
            <ion-item>
              <ion-label floating>Entrada</ion-label>
              <!-- <ion-input type="time">Entrada</ion-input> -->
              <ion-datetime displayFormat="h:mm A" pickerFormat="h mm A" minuteValues="00,15,30,45" [(ngModel)]="event.horaEntrada"></ion-datetime>
            </ion-item>
          </ion-col>
          <ion-col col-1 text-center>
            <ion-icon class="icon-arrow" name="arrow-forward"></ion-icon>
          </ion-col>
          <ion-col>
            <ion-item>
              <ion-label floating>Saída</ion-label>
              <!-- <ion-input type="time">Saída</ion-input> -->
              <ion-datetime displayFormat="h:mm A" pickerFormat="h mm A" minuteValues="00,15,30,45" [(ngModel)]="event.horaSaida"></ion-datetime>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row>
          <ion-col col-6>
            <ion-item>
              <ion-label floating>Nº pessoas</ion-label>
              <ion-input type="number">Nº pessoas</ion-input>
            </ion-item>
          </ion-col>
        </ion-row>
      </ion-list>

      <button ion-button full (click)="novaVisita()">Solicitar liberação</button>
  </ion-content>